package pl.edu.mimuw.xml.rest;

import javax.ws.rs.Consumes;
import javax.ws.rs.DefaultValue;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

@Path("/hello")
public class Hello {
	
	@GET
	public String sayHello(
			@DefaultValue("Nieznany")
			@QueryParam("who") String kto) {
		return "Hello "+kto;
	}
	
	
	@POST
	@Consumes("text/plain")
	@Produces("text/plain")
	public String echo(String message) {
		return message;
	}
}
