package pl.edu.mimuw.xml.rest;

import java.util.Calendar;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

@XmlRootElement(name="koleś")
@XmlAccessorType(XmlAccessType.FIELD)
public class Osoba {
	
	public String getNazwisko() {
		return nazwisko;
	}
	public void setNazwisko(String nazwisko) {
		this.nazwisko = nazwisko;
	}
	public String getImie() {
		return imie;
	}
	public void setImie(String imie) {
		this.imie = imie;
	}
	public Calendar getDataUrodzenia() {
		return dataUrodzenia;
	}
	public void setDataUrodzenia(Calendar dataUrodzenia) {
		this.dataUrodzenia = dataUrodzenia;
	}
	public int getLiczbaDzieci() {
		return liczbaDzieci;
	}
	public void setLiczbaDzieci(int liczbaDzieci) {
		this.liczbaDzieci = liczbaDzieci;
	}
	public Osoba(String nazwisko, String imie, Calendar dataUrodzenia,
			int liczbaDzieci) {
		super();
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.dataUrodzenia = dataUrodzenia;
		this.liczbaDzieci = liczbaDzieci;
	}

	public Osoba () {}
	
	private String nazwisko;
	private String imie;
	
	private Calendar dataUrodzenia;
	
	private int liczbaDzieci;

	public static Osoba przyklad() {
		return new Osoba("Kowalski", "Adam", Calendar.getInstance(), 3);
	}
	
}
